Bug 258661 - [msi] Fedora 7 kernel upgrades break my NICs IRQs
[msi] Fedora 7 kernel upgrades break my NICs IRQs
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-27 21:01 EDT by runnersp
Modified: 2008-06-16 22:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:14:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci -v output for the NICs before & after kernel upgrade (2.89 KB, text/plain)
2007-08-27 21:01 EDT, runnersp
no flags Details

  None (edit)
Description runnersp 2007-08-27 21:01:10 EDT
Description of problem:

My two Gigabit NICs both fail to connect after upgrading Fedora 7 kernel past
version 2.6.21-1.3228.fc7
They are listed as Nvidia MCP55 Ethernet adapters and use the forcedeth module.
This looks as if it could be a re-occurence of closed Bugzilla FC6 bug 253378.

Additionally the same issue occurred with Fedora 7 on my laptop affecting the
ipw2100 wireless adapter. This laptop now runs Fedora 8 Test 1 and the problem
no longer occurs.


How reproducible:
Consistent

Steps to Reproduce:
1. Install Fedora 7
2. Upgrade kernel to any later i686 kernel from repos
  
Actual results:
After upgrading the Fedora 7 kernel to any newer i686 fc7 kernel, system is
unable to obtain an IP address via DHCP & unable to ping router when static IP set.
lspci shows that after the upgrade invalid IRQs are set for the adapters.

Expected results:
NICs should also work with later kernels.

Additional info:
See attachment for lspci info.
Comment 1 runnersp 2007-08-27 21:01:10 EDT
Created attachment 174801 [details]
lspci -v output for the NICs before & after kernel upgrade
Comment 2 Chuck Ebbert 2007-08-29 13:37:19 EDT
PCI MSI was supposed to be fixed in 2.6.22 but apparently it's still broken on
many machines.

Try booting with the kernel option "pci=nomsi"
If that doesn't work, try "pci=nomsi,nommconf"
Comment 3 runnersp 2007-08-30 02:20:50 EDT
Booted with 'pci=nomsi' on the newer kernel and networking is fine.
Thanks for the tip.
Comment 4 runnersp 2007-09-07 17:39:00 EDT
FYI here's the hardware list...
http://smolt.fedoraproject.org/show?UUID=a64c0c37-8962-41e3-b548-e439c8312c74
Comment 5 Otto Rey 2007-11-05 00:47:49 EST
The same in Fedora 8 Test 3 (Gnome Spin)
Comment 6 Bug Zapper 2008-05-14 10:07:22 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2008-06-16 22:14:48 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.